Bug 842267 - Failed to migreate application with alias if "RECREATE_HTTPD_PROXY_CART_TYPES" is set in rhc-admin-migrate
Failed to migreate application with alias if "RECREATE_HTTPD_PROXY_CART_TYPES...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 05:50 EDT by Jianwei Hou
Modified: 2015-05-14 22:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_1908
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2012-07-23 05:50:18 EDT
Description of problem:
edit rhc-admin-migrate, set RECREATE_HTTPD_PROXY_CART_TYPES = nil then run rhc-admin-migrate, application with alias failed to migrate


Version-Release number of selected component (if applicable):
on devenv_1906

How reproducible:
always

Steps to Reproduce:
1.create an application,and add alias to application
  rhc app create -a perl1 -t perl-5.10 --alias ppp
2.log into instance, edit rhc-admin-migrate:
MIGRATION_CART_TYPES = nil
RESTART_CART_TYPES = nil
REDEPLOY_HTTPD_PROXY_CART_TYPES = nil # Deploys on top of existing config.  Will not fixup renames.
RECREATE_HTTPD_PROXY_CART_TYPES = nil # Remove existing config and recreate including aliases.
3.rhc domain show
perl1
    Framework: perl-5.10
     Creation: 2012-07-23T05:09:27-04:00
         UUID: ff7f5226cfdd4fab83aea69b8b784d7e
      Git URL: ssh://ff7f5226cfdd4fab83aea69b8b784d7e@perl1-1906migrate2.dev.rhcloud.com/~/git/perl1.git/
   Public URL: http://perl1-1906migrate2.dev.rhcloud.com/
      Aliases: ppp

 Embedded: 
      None

4.rhc-admin-migrate --version 2.0.15
  
Actual results:
Only application with an alias failed to migrate
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Failures:
/usr/bin/rhc-admin-migrate --rhlogin 'jhou@redhat.com' --migrate-gear 'ff7f5226cfdd4fab83aea69b8b784d7e' --app-name 'perl1' --version '2.0.15'
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

#####################################################
Summary:
# of users: 1
# of gears: 9
# of failures: 1
Gear counts per thread: [9]
Total execution time: 179s
#####################################################


Expected results:
all applications are migrated successfully, including applications that have an alias

Additional info:
Comment 1 Jianwei Hou 2012-07-24 04:00:51 EDT
verified on devenv_1908

Steps:
1.create an application with alias
2.yum update
3.edit /usr/bin/rhc-admin-migrate, enable "RECREATE_HTTPD_PROXY_CART_TYPES" for this application
4.rhc-admin-migrate --version 2.0.15

Results:
application with aliases are migrated successfully.

fixed on devenv_1908

Note You need to log in before you can comment on or make changes to this bug.